#include<windows.h>
#include<stdio.h>

// Global variables
char command[20];


int main(void)
{
    HANDLE hComm;

    hComm = CreateFile("COM6",
		       GENERIC_READ | GENERIC_WRITE,
		       0,
		       NULL,
		       OPEN_EXISTING,
		       0,
		       NULL);
    if (hComm == INVALID_HANDLE_VALUE)
    {
        printf("Couldn't Open the port");
    }
    else
    {
        printf("Opened the Port!\n");
    }

    // Set the DCB structure
    DCB dcbSerialParams = {0};
    dcbSerialParams.DCBlength = sizeof(dcbSerialParams);

    dcbSerialParams.BaudRate = 9600;
    dcbSerialParams.ByteSize = 8;
    dcbSerialParams.StopBits = ONESTOPBIT;
    dcbSerialParams.Parity = NOPARITY;
    
    SetCommState(hComm, &dcbSerialParams);

    printf("Enter a command (0 to exit): ");
    scanf("%[^\n]s", command);
    
    DWORD dNoOfBytesToWrite = sizeof(command);
    DWORD dNoOfBytesWritten = 0;

    WriteFile(hComm,command,dNoOfBytesToWrite,&dNoOfBytesWritten,NULL);
    
    CloseHandle(hComm); // Close the port


    return 0;

}
